Virtual networks

Attach service

POST/v1/networking/virtual-networks/{id}/attachments

Attaches a service to the network on one of its segments.

Authorizations

  • Authorizationstringheaderrequired

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Required permission: organization.baremetal.networking

Path parameters

  • idstring<uuid>required

Headers

  • Idempotency-Keystring

    Limits:length <= 200

Body

application/json
  • serviceIdstring<uuid>
  • segmentIdstring<uuid>required
  • isNativeboolean

Response

202 · application/json

Accepted

  • successbooleanrequired

    Allowed values:true

  • dataobject | nullrequired